NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Features.CustomFeatureData Class Reference

Represents the collection of attributes for a custom feature. More...

Inheritance diagram for NXOpen.Features.CustomFeatureData:

Public Member Functions

unsafe void GetAllCustomAttributeNameAndTypes (out string[] attributeNames, out NXOpen.Features.CustomAttribute.Type[] attributeType)
 Get the custom feature attribute name and types More...
 
unsafe void AddCustomAttributes (NXOpen.Features.CustomAttribute[] attributes)
 Set the custom feature attributes More...
 
unsafe
NXOpen.Features.CustomTagAttribute 
CustomTagAttributeByName (string attributeName)
 Get the custom feature tag attribute of given name More...
 
unsafe
NXOpen.Features.CustomTagArrayAttribute 
CustomTagArrayAttributeByName (string attributeName)
 Get the custom feature tag array attribute of given name More...
 
unsafe
NXOpen.Features.CustomStringAttribute 
CustomStringAttributeByName (string attributeName)
 Get the custom feature string attribute of given name More...
 
unsafe
NXOpen.Features.CustomStringArrayAttribute 
CustomStringArrayAttributeByName (string attributeName)
 Get the custom feature string array attribute of given name More...
 
unsafe
NXOpen.Features.CustomLogicalAttribute 
CustomLogicalAttributeByName (string attributeName)
 Get the custom feature logical attribute of given name More...
 
unsafe
NXOpen.Features.CustomLogicalArrayAttribute 
CustomLogicalArrayAttributeByName (string attributeName)
 Get the custom feature logical array attribute of given name More...
 
unsafe
NXOpen.Features.CustomIntegerAttribute 
CustomIntegerAttributeByName (string attributeName)
 Get the custom feature integer attribute of given name More...
 
unsafe
NXOpen.Features.CustomIntegerArrayAttribute 
CustomIntegerArrayAttributeByName (string attributeName)
 Get the custom feature integer array attribute of given name More...
 
unsafe
NXOpen.Features.CustomExpressionAttribute 
CustomExpressionAttributeByName (string attributeName)
 Get the custom feature expression attribute of given name More...
 
unsafe
NXOpen.Features.CustomExpressionArrayAttribute 
CustomExpressionArrayAttributeByName (string attributeName)
 Get the custom feature expression array attribute of given name More...
 
unsafe
NXOpen.Features.CustomDoubleAttribute 
CustomDoubleAttributeByName (string attributeName)
 Get the custom feature double attribute of given name More...
 
unsafe
NXOpen.Features.CustomDoubleArrayAttribute 
CustomDoubleArrayAttributeByName (string attributeName)
 Get the custom feature double array attribute of given name More...
 
unsafe bool HasCustomAttribute (string attributeName, NXOpen.Features.CustomAttribute.Type type)
 Checks if the custom feature attribute of given name and type exists More...
 

Protected Member Functions

override void FreeResource ()
 Frees the memory associated with this object. More...
 

Properties

unsafe string ClassName [get]
 Returns the custom feature class name More...
 

Detailed Description

Represents the collection of attributes for a custom feature.

This class cannot be created

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.Features.CustomFeatureData.AddCustomAttributes ( NXOpen.Features.CustomAttribute[]  attributes)

Set the custom feature attributes

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributes
unsafe NXOpen.Features.CustomDoubleArrayAttribute NXOpen.Features.CustomFeatureData.CustomDoubleArrayAttributeByName ( string  attributeName)

Get the custom feature double array attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomDoubleAttribute NXOpen.Features.CustomFeatureData.CustomDoubleAttributeByName ( string  attributeName)

Get the custom feature double attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomExpressionArrayAttribute NXOpen.Features.CustomFeatureData.CustomExpressionArrayAttributeByName ( string  attributeName)

Get the custom feature expression array attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomExpressionAttribute NXOpen.Features.CustomFeatureData.CustomExpressionAttributeByName ( string  attributeName)

Get the custom feature expression attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomIntegerArrayAttribute NXOpen.Features.CustomFeatureData.CustomIntegerArrayAttributeByName ( string  attributeName)

Get the custom feature integer array attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomIntegerAttribute NXOpen.Features.CustomFeatureData.CustomIntegerAttributeByName ( string  attributeName)

Get the custom feature integer attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomLogicalArrayAttribute NXOpen.Features.CustomFeatureData.CustomLogicalArrayAttributeByName ( string  attributeName)

Get the custom feature logical array attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomLogicalAttribute NXOpen.Features.CustomFeatureData.CustomLogicalAttributeByName ( string  attributeName)

Get the custom feature logical attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomStringArrayAttribute NXOpen.Features.CustomFeatureData.CustomStringArrayAttributeByName ( string  attributeName)

Get the custom feature string array attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomStringAttribute NXOpen.Features.CustomFeatureData.CustomStringAttributeByName ( string  attributeName)

Get the custom feature string attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomTagArrayAttribute NXOpen.Features.CustomFeatureData.CustomTagArrayAttributeByName ( string  attributeName)

Get the custom feature tag array attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
unsafe NXOpen.Features.CustomTagAttribute NXOpen.Features.CustomFeatureData.CustomTagAttributeByName ( string  attributeName)

Get the custom feature tag attribute of given name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
Returns
override void NXOpen.Features.CustomFeatureData.FreeResource ( )
protected

Frees the memory associated with this object.

After invocation of this method, the object is no longer valid.

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.Features.CustomFeatureData.GetAllCustomAttributeNameAndTypes ( out string[]  attributeNames,
out NXOpen.Features.CustomAttribute.Type[]  attributeType 
)

Get the custom feature attribute name and types

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeNames
attributeType
unsafe bool NXOpen.Features.CustomFeatureData.HasCustomAttribute ( string  attributeName,
NXOpen.Features.CustomAttribute.Type  type 
)

Checks if the custom feature attribute of given name and type exists

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
attributeName
type
Returns

Property Documentation

unsafe string NXOpen.Features.CustomFeatureData.ClassName
get

Returns the custom feature class name

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.